# WebSphere 8.5

This page describes the Optimization Pack for the component type WebSphere 8.5.

## Metrics

There are no metrics for this component type.

## Parameters

### InboudChannels

| Parameter                                   | Type    | Unit        | Default | Domain         | Restart | Description                                                                                                                                                         |
| ------------------------------------------- | ------- | ----------- | ------- | -------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| was\_tcp\_maxppenconnections\_tcp2          | integer | connections | 20000   | `1` → `128000` | yes     | Maximum number of connections that are available for a server to use (TCP\_2)                                                                                       |
| was\_tcp\_listenBacklog\_tcp2               | integer | connections | 511     | `1` → `1024`   | yes     | Maximum number of outstanding connection requests that the operating system can buffer while it waits for the application server to accept the connections (TCP\_2) |
| was\_tcp\_maxppenconnections\_tcp4          | integer | connections | 20000   | `1` → `128000` | yes     | Maximum number of connections that are available for a server to use (TCP\_4)                                                                                       |
| was\_tcp\_listenBacklog\_tcp4               | integer | connections | 511     | `1` → `1024`   | yes     | Maximum number of outstanding connection requests that the operating system can buffer while it waits for the application server to accept the connections (TCP\_4) |
| was\_http\_maximumPersistentRequests\_http2 | integer | requests    | 10000   | `1` → `20000`  | yes     | Maximum number of persistent requests that are allowed on a single HTTP connection (HTTP\_2)                                                                        |
| was\_http\_maximumPersistentRequests\_http4 | integer | requests    | 10000   | `1` → `20000`  | yes     | Maximum number of persistent requests that are allowed on a single HTTP connection (HTTP\_4)                                                                        |

### Thread Pools

| Parameter                                               | Type    | Unit    | Default | Domain      | Restart | Description                                                                        |
| ------------------------------------------------------- | ------- | ------- | ------- | ----------- | ------- | ---------------------------------------------------------------------------------- |
| was\_threadpools\_minimumSize\_webcontainer             | integer | threads | 50      | `1` → `100` | yes     | Minimum number of threads to allow in the pool (Web Container)                     |
| was\_threadpools\_maximumsize\_webcontainer             | integer | threads | 50      | `1` → `500` | yes     | Maximum number of threads to maintain in the thread pool (Web Container)           |
| was\_threadpools\_minimumSize\_default                  | integer | threads | 20      | `1` → `100` | yes     | Maximum number of threads to maintain in the thread pool (Web Container)           |
| was\_threadpools\_maximumsize\_default                  | integer | threads | 20      | `1` → `500` | yes     | Maximum number of threads to maintain in the default thread pool (default)         |
| was\_threadpools\_minimumSize\_threadpoolmanager\_orb   | integer | threads | 10      | `1` → `100` | yes     | Minimum number of threads to allow in the pool (ThreadPoolManager ORB)             |
| was\_threadpools\_maximumsize\_threadpoolmanager\_orb   | integer | threads | 50      | `1` → `500` | yes     | Maximum number of threads to maintain in the thread pool (ThreadPoolManager ORB)   |
| was\_threadpools\_minimumSize\_objectrequestbroker\_orb | integer | threads | 10      | `1` → `100` | yes     | Minimum number of threads to allow in the pool (ObjectRequestBroker ORB)           |
| was\_threadpools\_maximumsize\_objectrequestbroker\_orb | integer | threads | 50      | `1` → `500` | yes     | Maximum number of threads to maintain in the thread pool (ObjectRequestBroker ORB) |
| was\_threadpools\_minimumSize\_custom\_TCPChannel\_DCS  | integer |         | 20      | `1` → `100` | yes     | Minimum number of threads to allow in the pool (TCPChannel.DCS)                    |
| was\_threadpools\_maximumsize\_custom\_TCPChannel\_DCS  | integer | threads | 100     | `1` → `500` | yes     | Maximum number of threads to maintain in the thread pool (TCPChannel.DCS)          |

### Timeouts

| Parameter                             | Type    | Unit         | Default | Domain        | Restart | Description                                                                |
| ------------------------------------- | ------- | ------------ | ------- | ------------- | ------- | -------------------------------------------------------------------------- |
| was\_auth\_cacheTimeout               | integer | milliseconds | 600     | `0` → `7200`  | yes     | The time period at which the authenticated credential in the cache expires |
| was\_webserverplugin\_serverIOtimeout | integer | milliseconds | 900     | `-1` → `1800` | yes     | How long should the plug-in wait for a response from the application       |

### Others

| Parameter                               | Type        | Unit | Default | Domain          | Restart | Description                                                                                                                                                                                                                           |
| --------------------------------------- | ----------- | ---- | ------- | --------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| was\_Server\_provisionComponents        | categorical |      | `false` | `true`, `false` | yes     | Select this property if you want the server components started as they are needed by an application that is running on this server                                                                                                    |
| was\_ObjectRequestBroker\_noLocalCopies | categorical |      | `false` | `true`, `false` | yes     | Specifies how the ORB passes parameters. If enabled, the ORB passes parameters by reference instead of by value, to avoid making an object copy. If disabled, a copy of the parameter passes rather than the parameter object itself. |
| was\_PMIService\_statisticSet           | categorical |      | `basic` | `true`, `false` | yes     | When PMI service is enabled, the monitoring of individual components can be enabled or disabled dynamically. PMI provides four predefined statistic sets that can be used to enable a set of statistics                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/reference/optimization-packs/websphere-pack/websphere-8.5.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
